unit MainForm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  StdCtrls, Menus;

type
  TMainDlg = class(TForm)
    MainMenu: TMainMenu;
    FileMenuItem: TMenuItem;
    EditMenuItem: TMenuItem;
    OpenMenuItem: TMenuItem;
    N1: TMenuItem;
    ExitMenuItem: TMenuItem;
    CloseMenuItem: TMenuItem;
    UndoMenuItem: TMenuItem;
    RedoMenuItem: TMenuItem;
    N2: TMenuItem;
    SearchandReplaceMenuItem: TMenuItem;
    N3: TMenuItem;
    PrettyPrintMenuItem: TMenuItem;
    Memo: TMemo;
    procedure FormCreate(Sender: TObject);
    procedure OpenMenuItemClick(Sender: TObject);
    procedure CloseMenuItemClick(Sender: TObject);
    procedure ExitMenuItemClick(Sender: TObject);
    procedure UndoMenuItemClick(Sender: TObject);
    procedure RedoMenuItemClick(Sender: TObject);
    procedure SearchandReplaceMenuItemClick(Sender: TObject);
    procedure PrettyPrintMenuItemClick(Sender: TObject);
  private
  public
  end;

var
  MainDlg: TMainDlg;

implementation

{$R *.dfm}

uses
  CommandFacade;


procedure TMainDlg.FormCreate(Sender: TObject);
begin
  Commands.RegisterMemo(Memo);
end;


procedure TMainDlg.OpenMenuItemClick(Sender: TObject);
begin
  Commands.OpenDocument;
end;


procedure TMainDlg.CloseMenuItemClick(Sender: TObject);
begin
  Commands.CloseDocument;
end;


procedure TMainDlg.ExitMenuItemClick(Sender: TObject);
begin
  Close;
end;


procedure TMainDlg.UndoMenuItemClick(Sender: TObject);
begin
  Commands.Undo;
end;


procedure TMainDlg.RedoMenuItemClick(Sender: TObject);
begin
  Commands.Redo;
end;


procedure TMainDlg.SearchandReplaceMenuItemClick(Sender: TObject);
begin
  Commands.SearchAndReplace;
end;


procedure TMainDlg.PrettyPrintMenuItemClick(Sender: TObject);
begin
  Commands.PrettyPrint;
end;


end.
